GEOS: geos::geom::prep::PreparedPolygonIntersects Class Reference

Public Member Functions | Static Public Member Functions

# geos::geom::prep::PreparedPolygonIntersects Class Reference

Computes the `intersects` spatial relationship predicate for PreparedPolygons relative to all other Geometry classes. More...

`#include <PreparedPolygonIntersects.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonIntersects:

List of all members.

## Public Member Functions
| PreparedPolygonIntersects (const PreparedPolygon *const prep)
bool | intersects (const geom::Geometry *geom)
## Static Public Member Functions
static bool | intersects (const PreparedPolygon *const prep, const geom::Geometry *geom)

## Detailed Description

Computes the `intersects` spatial relationship predicate for PreparedPolygons relative to all other Geometry classes.

Uses short-circuit tests and indexing to improve performance.

Author:
  Martin Davis

## Constructor & Destructor Documentation

geos::geom::prep::PreparedPolygonIntersects::PreparedPolygonIntersects | ( | const PreparedPolygon *const | prep ) | `[inline]`

Creates an instance of this operation.

Parameters:

  prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

static bool geos::geom::prep::PreparedPolygonIntersects::intersects | ( | const PreparedPolygon *const | prep,
|  | const geom::Geometry * | geom
| ) |  | `[inline, static]`

Computes the intersects predicate between a PreparedPolygon and a Geometry.

Parameters:

  prep | the prepared polygon
  geom | a test geometry

Returns:
  true if the polygon intersects the geometry

References intersects().

Referenced by intersects().

bool geos::geom::prep::PreparedPolygonIntersects::intersects | ( | const geom::Geometry * | geom ) |

Tests whether this PreparedPolygon intersects a given geometry.

Parameters:

  geom | the test geometry

Returns:
  true if the test geometry intersects

The documentation for this class was generated from the following file:

- PreparedPolygonIntersects.h